> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# personphone

> Search phone numbers for matching values, restricted to a given company or person.

## "personphone" MDO List

Search phone numbers for matching values, restricted to a given company or person.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.PersonPhoneProvider">PersonPhoneProvider</see> class.
The name of the MDO list is 'personphone'.

## Additional Attributes

| Description | Name    | Example Value |
| ----------- | ------- | ------------- |
| Person id   | itemId  | 23            |
| Company id  | extraId | 23            |

Separator: &

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/personphone
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("personphone", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "personphoneheadings"
* "personphoneheadingswithallitem"
* "personphoneheadingswithallitemwithnoselection"
* "personphoneheadingswithnoselection"
* "personphonewithallitem"
* "personphonewithallitemwithnoselection"
* "personphonewithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
